Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.soap
Class WebserviceContractPublisher

    java.lang.Object
      org.jboss.soa.esb.actions.soap.WebserviceContractPublisher

All Implemented Interfaces:
  org.jboss.internal.soa.esb.publish.ActionContractPublisher, org.jboss.internal.soa.esb.publish.ContractPublisher, org.jboss.internal.soa.esb.publish.Publisher

    public class WebserviceContractPublisher

extends java.lang.Object
implements org.jboss.internal.soa.esb.publish.ActionContractPublisher

Contract publisher for a Webservice endpoint.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`WebserviceContractPublisher()`

Method Summary
`org.jboss.internal.soa.esb.publish.ContractInfo` | `getContractInfo(EPR epr)` Get the contract configuration.
`org.jboss.internal.soa.esb.publish.ContractInfo` | `getContractInfo(EPR epr, javax.servlet.http.HttpServletRequest servletRequest)`
`protected void` | `initializeTransform()`
`void` | `setActionConfig(ActionDocument.Action actionConfig)` Set the `SOAPProcessor` action configuration.
`protected java.lang.String` | `updateWsdl(java.lang.String wsdl, EPR epr, java.lang.String targetServiceCat, java.lang.String targetServiceName, java.lang.String targetProtocol)` Update the supplied wsdl to take account of the ESB endpoint proxying of the JBossWS invocation, as well as the fact that the transport may be different.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebserviceContractPublisher

    public WebserviceContractPublisher()

Method Detail

### setActionConfig

    public void setActionConfig(ActionDocument.Action actionConfig)
                         throws ConfigurationException

  Set the `SOAPProcessor` action configuration.

  Specified by:
    `setActionConfig` in interface `org.jboss.internal.soa.esb.publish.ActionContractPublisher`
  Parameters:
    `actionConfig` - action config.
  Throws:
    `ConfigurationException` - Bad config.

### getContractInfo

    public org.jboss.internal.soa.esb.publish.ContractInfo getContractInfo(EPR epr)

  Get the contract configuration.

  This method impl basically returns the Endpoint WSDL, modified for the supplied EPR and its channel.

  Specified by:
    `getContractInfo` in interface `org.jboss.internal.soa.esb.publish.ContractPublisher`
  Parameters:
    `epr` - Endpoint EPR.
  Returns:
    WSDL Contract.

### getContractInfo

    public org.jboss.internal.soa.esb.publish.ContractInfo getContractInfo(EPR epr,
                                                                           javax.servlet.http.HttpServletRequest servletRequest)

### updateWsdl

    protected java.lang.String updateWsdl(java.lang.String wsdl,
                                          EPR epr,
                                          java.lang.String targetServiceCat,
                                          java.lang.String targetServiceName,
                                          java.lang.String targetProtocol)
                                   throws org.xml.sax.SAXException,
                                          java.io.IOException,
                                          ConfigurationException

  Update the supplied wsdl to take account of the ESB endpoint proxying of the JBossWS invocation, as well as the fact that the transport may be different.

  Parameters:
    `wsdl` - WSDL input.
    `epr` - The SOAP endpoint from the ESB perspective.
    `targetServiceCat` -
    `targetServiceName` -
    `targetProtocol` - @return The updated WSDL.
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `ConfigurationException`

### initializeTransform

    protected void initializeTransform()
                                throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD